
#include <fstream>
#include <string>
#include <algorithm>
#include <vector>

struct Elev {
    std::string nume;
    double media;
};

struct Clasa {
    std::string num;       /// numele clasei
    std::string dirig;
    int ne;                /// nr de elevi
    Elev e[35];
};

struct Scoala {
    std::string nume_scoala;
    std::string nume_dir;
    int nc;      /// nr de clase
    Clasa c[35];
};

void CitesteScoala(Scoala& s);
void ScrieScoala(const Scoala& c);

int main()
{
    Scoala s;   /// s - OBIECT/INSTANTA/variabila
    CitesteScoala(s);
    ScrieScoala(s);

    return 0;
}

void CitesteScoala(Scoala& s)
{
    std::ifstream fin("scoala.in");
    fin >> s.nume_scoala >> s.nume_dir;
    fin >> s.nc;

    for (int i = 0; i < s.nc; ++i)
    {
        fin >> s.c[i].num >> s.c[i].dirig;
        fin >> s.c[i].ne;

        for (int j = 0; j < s.c[i].ne; ++j)
            fin >> s.c[i].e[j].nume
                >> s.c[i].e[j].media;
    }
    fin.close();
}

void ScrieScoala(const Scoala& s)
{
    std::ofstream fout("scoala.out");
    fout << s.nume_scoala << ' '
         << s.nume_dir << '\n';

    for (int i = 0; i < s.nc; ++i)
    {
        fout << s.c[i].num << ' '
             << s.c[i].dirig << '\n';

        for (int j = 0; j < s.c[i].ne; ++j)
            fout << s.c[i].e[j].nume << ' '
                 << s.c[i].e[j].media << '\n';
    }
    fout.close();

}

