
#include <fstream>
#include <string>
#include <algorithm>
#include <vector>

struct Elev {
    std::string nume;
    double media;
};

struct Clasa {
    std::string num;       /// numele clasei
    std::string dirig;
    int ne;                /// nr de elevi
    Elev e[35];
};

void ReadClass(Clasa& c);
void WriteClass(const Clasa& c);

int main()
{
    Clasa c;
    ReadClass(c);
    WriteClass(c);
    return 0;
}

void ReadClass(Clasa& c)
{
    std::ifstream fin("clasa.in");
    fin >> c.num >> c.dirig >> c.ne;
    for (int i = 0; i < c.ne; ++i)
        fin >> c.e[i].nume >> c.e[i].media;

    fin.close();
}
void WriteClass(const Clasa& c)
{
    std::ofstream fout("clasa.out");
    fout << c.num << ' ' << c.dirig << ' '
        << '\n';
    for (int i = 0; i < c.ne; ++i)
        fout << c.e[i].nume << ' '
             << c.e[i].media << '\n';

    fout.close();
}
